### Method

# GtkSource Region get_bounds

#### Declaration [src]

    gboolean
    gtk_source_region_get_bounds (
      GtkSourceRegion* region,
      GtkTextIter* start,
      GtkTextIter* end
    )

#### Description [src]

Gets the `start` and `end` bounds of the `region`.

#### Parameters

`start`

  Type: `GtkTextIter`

  Iterator to initialize with the start of `region`, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`end`

  Type: `GtkTextIter`

  Iterator to initialize with the end of `region`, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if `start` and `end` have been set successfully (if non-`NULL`), or `FALSE` if the `region` is empty.